{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/main.css' %}">
</head>
<body> 
    <form class="container mt-4" method="post" action="{% url 'register' %}">
        {% csrf_token %}
        <div class="form-group">
            <label for="id_username">Username:</label>
            <input class="form-control" type="text" name="username" maxlength="150" autofocus="" required="" id="id_username">
        </div>
        <div class="form-group">
            <label for="id_first_name">First name:</label>
            <input type="text" name="first_name" maxlength="30" id="id_first_name" class="form-control">
        </div>
        <div class="form-group">
            <label for="id_last_name">Last name:</label>
            <input type="text" name="last_name" maxlength="150" id="id_last_name" class="form-control">
        </div>
        <div class="form-group">
            <label for="id_email">Email:</label>
            <input type="email" name="email" required="" id="id_email" class="form-control">
        </div>
        <div class="form-group">    
            <label for="id_password1">Password:</label>
            <input class="form-control" type="password" name="password1" required="" id="id_password1">
        </div>
        <div class="form-group">
            <label for="id_password2">Password confirmation:</label>
            <input class="form-control" type="password" name="password2" required="" id="id_password2">
        </div>
        <div class="form-group">
            <label>Picture:</label>
            <input type="file" name="image">
        </div>
        <input class="btn btn-primary" type="submit" value="Register">
    </form>
    {{ form.errors }}
    {{ form.non_field_errors }}
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>
</html>